Skip to content

Get Library Details

Request

Returns a single library's details

Security
bearer-key
Path
orgTokenstringrequired

org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

libraryUuidstringrequired
Query
ignoreManualDataboolean

requestParameter called ignoreManualData, default value is false. In case the parameter is true, ignore manual changes of the user on the library

Default:false
GET
/api/v2.0/orgs/{orgToken}/libraries/{libraryUuid}
curl -i -X GET \
  'https://api-saas.mend.io/api/v2.0/orgs/{orgToken}/libraries/{libraryUuid}?ignoreManualData=false' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
retValobject(NoLocationsLibraryDTO)
Response
{ "supportToken": "1171c60d", "retVal": { "uuid": "123e4567-e89b-12d3-a456-426655440000", "name": "dbus-1.10.24-13.el7_6.x86_64.rpm", "artifactId": "kind-of-6.0.2.tgz", "groupId": "kind-of", "version": "string", "architecture": "string", "languageVersion": "string", "classifier": "string", "extension": "string", "sha1": "01146b36a6218e64e58f3a8d66de5d7fc6f6d051", "description": "Get the native type of a value.", "type": "javascript/Node.js", "libraryType": "string", "directDependency": true, "purl": "pkg:maven/commons-beanutils/commons-beanutils@1.8.0?type=jar", "extraInfo": {}, "extraInformation": {}, "licenses": [], "copyrightReferences": [], "securityRisks": [], "noticeReference": {}, "proprietaryInfo": {}, "attributionReportSettings": {}, "dependencyType": "string", "violations": 22, "workflowUuids": 2, "violatingFindings": 2, "trackedIssue": {} } }